library(ghyp)

NIG.mix.generator=function(chi, psi, p,mu ,sigma,gamma,sample.size= 1000)
  {
  n=sample.size
  g=length(p)
  y=list(g)
  ni=rmultinom(1, size =n, prob =p)
  class=rep(1:g, c(ni))
  for (i in 1:g)
    {
      object=NIG(chi = chi[i], psi = psi[i], mu = c(mu[[i]]), sigma = sigma[[i]],gamma = c(gamma[[i]]))
      y[[i]]=rghyp(ni[i], object = object)
     }
  data=y[[1]]
  for(j in 2:g){
    data=rbind(data,y[[j]])
   }
return(list(data=data, class=class))
}